@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

/*
@font-face {
        font-family: Roboto;
        src: url('../Fonts/Roboto-Black.ttf'), 
             url('../Fonts/Roboto-BlackItalic.ttf'),
             url('../Fonts/Roboto-Bold.ttf'),
             url('../Fonts/Roboto-BoldItalic.ttf'),
             url('../Fonts/Roboto-Light.ttf'),
             url('../Fonts/Roboto-LightItalic.ttf'),
             url('../Fonts/Roboto-Medium.ttf),
             url('../Fonts/Roboto-Regular.ttf),
             url('../Fonts/Roboto-Thin.ttf),
             url('../Fonts/Roboto-ThinItalic.ttf);
    }

@font-face {
        font-family: Roboto;
        src: url('../Fonts/Roboto-Regular.ttf');
           }
*/

:root{
    --background-contact: #EABE3F;
    --background-work: #F5F5F5;
    --background-color: #F5F5F5;
    --primary-color: #000;
    --highlight-color: #0000FF;
    --link-color: #0097a7;
    --danger-color: #FF0000;
}

*{
    font-size: 16px;
    /*font-family: 'Poppins', sans-serif;*/
}

html{
    scroll-behavior: smooth;
}

body{
    background-color: var(--background-work);
    font-family: 'Work Sans', Arial, Helvetica, sans-serif;
    line-height: 1.5;
    padding: 0;
    margin: 0;
}

.btn1 {
  border: none; 
  color: white; 
  padding: 4px 8px; 
  cursor: pointer; 
  border-radius: 5px; 
}

.primary1 {background-color: #007bff;} 
.primary1:hover {background: #0b7dda;}
.secondary1 {background-color: #e7e7e7; color: black;} 
.secondary1:hover {background: #ddd;}
/*.success {background-color: #04AA6D;} 
.success:hover {background-color: #46a049;}
.danger {background-color: #f44336;} 
.danger:hover {background: #da190b;}
*/
.warning {background-color: #ff9800;} 
.warning:hover {background: #e68a00;}

.alert {
  border: none; 
  color: white; 
  padding: 4px 8px;
  /*cursor: pointer; */
  /*border-radius: 5px; */
}

.success {background-color: #04AA6D;} 
.warning {background-color: #ff9800;} 
.danger {background-color: #f44336;} 

::selection{
    background-color: var(--highlight-color);
}

a{
  color: var(--link-color);
  text-decoration: none;
  padding: 10px;
  transition: color 0.2s ease-in; /*ease-in-out*/
}

a:hover{
    color: var(--highlight-color);
}

/**/
h2, h3, h4{
    font-family: Arial, Helvetica, sans-serif, 'Barlow Condensed';
}

h2{
    font-size: 2.0rem;
    text-align: center;
    margin-bottom: 20px;
}

h3{
    font-size: 1.5rem;
    text-align: center;
    margin-bottom: 20px;
}

h4{
    font-size: 1rem;
    text-align: center;
    margin-bottom: 20px;
}

h5{
    text-align: center;
    margin-bottom: 20px;
}

/* Formularios */
.form-login, .form-container-4cols, .form-container-3cols {
    width: 90%;
    max-width: 500px;
    margin: 0 auto;
    padding: 15px;
    background-color: #fbfbfb;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr;
}

.form-container {
    max-width: 90%;
    margin: 0 auto;
    padding: 20px;
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem; /* Espacio entre los elementos de la cuadrícula */
    background-color: #fbfbfb; /* Asegúrate de que el fondo sea blanco para que la sombra sea visible */
    border-radius: 8px; /* Opcional: agrega bordes redondeados para un efecto más suave */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra: desplazamiento-x, desplazamiento-y, desenfoque, color */
}

.form-group {
    margin: 0; /* Elimina el margen inferior para los grupos de formulario en la cuadrícula */
}

.form-group label {
    display: block;
    margin-bottom: 5px;
    font-weight: normal;
}

/* Campos */
.form-control {
    width: 100%;
    padding: 8px;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-sizing: border-box;
}

.form-actions {
    display: block;
    justify-content: space-between;
    margin-top: 20px;
}

.btn {
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
}

.btn.primary {
    background-color: #007bff;
    color: white;
}

.btn.secondary {
    background-color: #6c757d;
    color: white;
}

.btn.export {
    background-color: #04AA6D;
    color: white;
}

.message-label {
    text-align: center;
    margin-top: 20px;
    color: #d9534f;
}

.container{
    width: 1920px;
}

/*
              MENU
**/

.menu{
    text-align: center;
    display: flex;
    justify-content: space-between;
    margin: 10px auto 0 auto;
    width: 60%;
    align-items: center;
}

.menu > div{
    width: 33%;
}

.menu ul{
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    gap: 30px;
}

.menu ul li{
    animation-name: opening-logo;
    animation-duration: 1.4s; /*animation-duration: 1.4s;*/
    animation-timing-function: ease-in-out;
}

.menu a{
    font-family: 'barlow Condensed';
    font-size: 1.5rem;
}

.menu .logo img{
    animation-name: opening-logo;
    animation-duration: 1.4s;
    animation-timing-function: ease-in-out;    
}

.menu .menu-left a{
    font-family: 'barlow Condensed';
    font-size: 1.5rem;
}

.menu .menu-right a{
    font-family: 'barlow Condensed';
    font-size: 1.5rem;
}

.menu-mobile{
    display: none;
}

.menu-mobile a:hover svg{
    fill: var(--highlight-color);
}

.menu-mobile .header{
    display: flex;
    width: 100%;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    align-content: center;
}

.menu-mobile .header .logo{
    flex-grow: 2;
    text-align: center;
}

.menu-mobile .header .logo img{
    width: 50%;

    animation-name: opening-logo;
    animation-duration: 1.4s;
    animation-timing-function: ease-in-out;
}

.menu-mobile ul{
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
}

.menu-mobile ul li{
    text-align: center;
}

.menu-mobile ul li a{
    display: block;
    padding: 2px 0;
    text-align:center;
    /*
    padding: 10px 0;
    text-align:right;
    margin-right:50px;
    */
}

.menu-mobile-closed{
    display: none;
}
/*
              MAIN VIDEO
**/


/*
              INTRO
**/


/*
              WORK
*/

.work{
    /*padding-top: 150px;*/
    transform-origin: 0 0;
    /*transform: skewY(-10deg);*/
    
}

.grid{
    display: grid;
    /*grid-template-columns: 1fr 1fr 1fr 1fr;*/
    gap: 0;

}

.grid .item{
    padding: 0;
    position: relative;
    overflow: hidden;
    height: 300px;
}

.grid .item img{
    /*width: 101%;*/
    /*margin-top: -60px;*/
    /*transform: skewY(10deg) scale(1.2,1.2);*/
    transition: all 0.075s;
}

.grid .item:hover img{
    /*transform: skewY(10deg) scale(1.4,1.4);*/
}

.grid .item .bg-hover{
    background-color: rgba(0,0,0,0.7);
    width: 100%;
    height: 150%;
    display: grid;
    position: absolute;
    z-index: 2;
    top: -25%;
    opacity: 0;
    transition: opacity 0.3s ease-in; /*ease-in-out*/;
    /*transform: skewY(10deg) scale(1,1);*/
    justify-items: center;
    align-items: center;
    text-align: center;
}

.grid .item:hover .bg-hover{
    oveoverflow: hidden;
    opacity: 1;
}

.grid .item:hover .bg-hover .info{
    animation-name: bounce;
    animation-duration: 0.4s;
    animation-timing-function: ease-in-out;
}

.grid .item .bg-hover .title{
    color: white;
}
.grid .item .bg-hover .customer{
    color: var(--background-color);
}

/*
              GRID ITEM X
*/

.grid .work{
    font-family: 'Roboto', sans-serif;
    font-size: 10px;
    align-content:center;
}

/*
25-JULIO-2024 COMENTARIZADO
.grid .itemX img{
    /*width: 220px;
    height: 220px;
    border:solid;*/
/*}*/

/*
25-JULIO-2024 COMENTARIZADO
.grid .itemX .iconoX{
    /*width: 220px;
    height: 220px;*/
/*}*/

/*
25-JULIO-2024 COMENTARIZADO
.grid .itemX .bg-hoverX .infoX .titleX{
    font-family: sans-serif, 'Roboto';
    font-size: 14px;
    font-weight:bold;
    margin: 0px;
    line-height: 1.2;
}

.grid .itemX .bg-hoverX .infoX .customerX{
    font-family: sans-serif, 'Roboto';
    font-size: 14px;
    margin: 0px;
    line-height: 1.2;
}

.grid .itemX .bg-hoverX{
    /*width: 100%;*/
/*}*/

.main-container {
    align-content:center;
    /*margin-left:10px;
    margin-right:10px;*/
}

.datos{
    /*width: 75%;*/
    /*width: 50%;*/
    /*width: 100% !important;*/
    text-align: center;
    margin: 0 auto;
    padding-bottom: 0px;
    line-height:0;
    vertical-align:middle;
   /* overflow:auto;*/
}

.datos input {
    text-align:center;
    vertical-align:middle;
}

.sesion div {
    color: var(--highlight-color);
    font-size: .8rem;
}

.sesion table tr td p {
    color: var(--danger-color);
    font-size: .8rem;
}

.correo div {
    color: var(--highlight-color);
    font-size: .8rem;
}   

.banco div {
    color: var(--highlight-color);
    font-size: .8rem;
}

.about{
    width: 90%;
    text-align: center;
    margin: 0 auto;
    padding-bottom: 150px;

    gap: 30px;
}

.columns{
    width: 100%;

    display: flex;
    justify-content: space-between;
    gap: 30px;
    color: var(--primary-color);
}

.contact{
    background-color: #000;
    padding-top: 150px;
    color: white;
    transform: skewY(-10deg);
}

.contact .contact-container{
    transform: skewY(10deg);
    color: var(--background-contact);
    width: 1280px;
    margin: 0 auto;
}

.contact .contact-container h3{
    color: white;
}

.contact .contact-container .emails{
    text-align: right;
}

.contact .contact-container .emails h3{
    text-align: right;
}

.contact .contact-container .location h3{
    text-align: left;
}

.contact .contact-container .social{
    text-align: center;
}

.contact .contact-container .social a:hover path{
    fill: var(--highlight-color);
}

footer{
    background-color: #000;
    height: 450px;
    margin-top: -170px;
}

.txtDerechoAutor
{
    width: 90%;
	color:#555555;
    font-size:12px;
}

/* Estilo general del formulario */
.form-cont4cols {
    max-width: 90%;
    margin: 0 auto;
    padding: 20px;
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem; /* Espacio entre los elementos de la cuadrícula */
    background-color: #fbfbfb; /* Asegúrate de que el fondo sea blanco para que la sombra sea visible */
    border-radius: 8px; /* Opcional: agrega bordes redondeados para un efecto más suave */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra: desplazamiento-x, desplazamiento-y, desenfoque, color */
}

/* Nueva clase para elementos que deben ocupar toda la fila */
.full-width {
    grid-column: span 4;
    /*border:solid;*/
}

/* Nueva clase para elementos que deben ocupar la mitad de la fila */
.medium-width {
    grid-column: span 2;
}


@keyframes opening-logo{
    0%{
        transform: scale(1);            /* Estaba en 0 */
    }

    100%{
        transform: scale(1);
    }
}

@keyframes bounce{
    0% {transform: translateY(500px);}
    80% {transform: translateY(-30px);}
    100% {transform: translateY(0);}
}

@keyframes fade-in{
    0%{height: 0vh;}
    50%{height: 150vh;}
    100%{height: 0vh;}
}

@media (max-width: 1450px){
    .main-video{
        height: 600px;
    }

    .grid .item{
        padding: 0;
        position: relative;
        overflow: hidden;
        height: 250px;
    }

    .grid{
        /*grid-template-columns: 1fr 1fr 1fr 1fr;*/
    }

}

@media (max-width: 1280px){
    .grid{
        /*grid-template-columns: 1fr 1fr 1fr 1fr;*/
    }

    .grid .item{
        height: 150px;
    }

    .contact .contact-container{
        width: 100%;
        margin: 0 auto;
        text-align: center;
    }

    .contact .contact-container h3{
        text-align: center !important;
    }
    .contact .contact-container .emails{
        text-align: center;
    }

    .form-container {
        grid-template-columns: repeat(3, 1fr);
    }

    .form-cont4cols {
        grid-template-columns: repeat(4, 1fr);
    }


}

@media (max-width: 900px){
    .grid .item{
        height: 150px;
    }

    .grid{
        /*grid-template-columns: 1fr 1fr 1fr 1fr;*/
    }

    .form-container {
        grid-template-columns: repeat(3, 1fr);
    }

    .form-cont4cols {
        grid-template-columns: repeat(4, 1fr);
    }

}

@media (max-width: 800px){
    .grid .item{
        height: 150px;
    }

    .grid{
        /*grid-template-columns: 1fr 1fr 1fr 1fr;*/
    }

    .columns{
        flex-direction: column; 
        gap: 0;
    }

    .columns div{
        width: 100%;
        text-align: center;
    }

    .form-container {
        grid-template-columns: repeat(2, 1fr);
    }

    .form-cont4cols {
        grid-template-columns: repeat(2, 1fr);
    }


}


@media (max-width: 540px){
    .menu{
        display: none;
    }

    .menu-mobile{
        display: block;
    }

    .grid .item{
        height: 200px;
    }

    .grid{
        /*grid-template-columns: 1fr;*/
    }

    .form-container {
        grid-template-columns: repeat(1, 1fr);
    }

    .form-cont4cols {
        grid-template-columns: repeat(1, 1fr);
    }

}